# $Revision: 1.54 $, $Date: 2012/02/12 22:52:09 $
#
# Conditional build:
%bcond_without	quicktime	# without Quicktime playback/recording support
#
Summary:	Tools for recording, editing, playing back and MPEG-encoding video under Linux
Summary(pl.UTF-8):	Narzędzia do nagrywania, edycji, odtwarzania i kodowania do MPEG obrazu
Name:		mjpegtools
Version:	2.0.0
Release:	2
License:	GPL
Group:		Applications/Graphics
Source0:	http://downloads.sourceforge.net/mjpeg/%{name}-%{version}.tar.gz
# Source0-md5:	903e1e3b967eebcc5fe5626d7517dc46
Patch0:		%{name}-opt.patch
Patch1:		%{name}-pthread.patch
Patch2:		%{name}-config.h.patch
URL:		http://mjpeg.sourceforge.net/
BuildRequires:	SDL-devel >= 1.1.3
BuildRequires:	SDL_gfx-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.7
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	libdv-devel >= 0.9.5
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
%{?with_quicktime:BuildRequires:	libquicktime-devel >= 0.9.7}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
# only checked for, not used for anything
#BuildRequires:	xorg-lib-libXxf86dga-devel
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	libmjpegtools0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The MJPEG-tools are a basic set of utilities for recording, editing,
playing back and encoding (to MPEG) video under Linux. Recording can
be done with Zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into MPEG 1/2 or DivX video.

%description -l pl.UTF-8
MJPEG-tools to podstawowy zestaw narzędzi do nagrywania, edycji,
odtwarzania i kodowania (do MPEG) obrazu pod Linuksem. Nagrywać można
przy użyciu kart MJPEG opartych na Zoranie (LML33, Iomega Buz,
Pinnacle DC10(+), Marvel G200/G400), na nich można także odtwarzać
obraz ze wsparciem sprzętowym. Przy pomocy pozostałych narzędzi obraz
można obrabiać i kodować do formatu MPEG 1/2 lub DivX.

%package libs
Summary:	MJPEG-tools shared libraries
Summary(pl.UTF-8):	Biblioteki współdzielone MJPEG-tools
Group:		Libraries
Requires:	libquicktime >= 0.9.7

%description libs
MJPEG-tools shared libraries.

%description libs -l pl.UTF-8
Biblioteki współdzielone MJPEG-tools.

%package devel
Summary:	Development headers for the mjpegtools
Summary(pl.UTF-8):	Pliki nagłówkowe mjpegtools
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	libmjpegtools0-devel
# libmjpegutils has no additional deps
# liblavfile R: libquicktime-devel >= 0.9.7 libdv-devel
# liblavjpeg R: libjpeg-devel
# liblavplay R: SDL-devel xorg-lib-libX11-devel +liblavfile,liblavjpeg
# liblavrec R: +liblavfile,liblavjpeg
# libmpeg2encpp R: libstdc++-devel
# libmplex2 R: libstdc++-devel

%description devel
This package contains C system header files needed to compile
applications that use part of the libraries of the mjpegtools package.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe C potrzebne do kompilowania
aplikacji używających części bibliotek z pakietu mjpegtools.

%package static
Summary:	Static libraries for mjpegtools
Summary(pl.UTF-8):	Statyczne biblioteki mjpegtools
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries for mjpegtools.

%description static -l pl.UTF-8
Statyczne biblioteki mjpegtools.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	PTHREAD_LIBS="-lpthread" \
	%{!?with_quicktime:--without-libquicktime} \
%ifarch ppc
	--disable-simd-accel
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.glav README.lavpipe README.transist
%attr(755,root,root) %{_bindir}/anytovcd.sh
%attr(755,root,root) %{_bindir}/glav
%attr(755,root,root) %{_bindir}/jpeg2yuv
%attr(755,root,root) %{_bindir}/lav*
%attr(755,root,root) %{_bindir}/matteblend.flt
%attr(755,root,root) %{_bindir}/mjpeg_simd_helper
%attr(755,root,root) %{_bindir}/mp2enc
%attr(755,root,root) %{_bindir}/mpeg2enc
%attr(755,root,root) %{_bindir}/mpegtranscode
%attr(755,root,root) %{_bindir}/mplex
%attr(755,root,root) %{_bindir}/multiblend.flt
%attr(755,root,root) %{_bindir}/pgmtoy4m
%attr(755,root,root) %{_bindir}/png2yuv
%attr(755,root,root) %{_bindir}/pnmtoy4m
%attr(755,root,root) %{_bindir}/ppmtoy4m
%attr(755,root,root) %{_bindir}/qttoy4m
%attr(755,root,root) %{_bindir}/transist.flt
%attr(755,root,root) %{_bindir}/y4m*
%attr(755,root,root) %{_bindir}/ypipe
%attr(755,root,root) %{_bindir}/yuv*
%attr(755,root,root) %{_bindir}/yuyvtoy4m
%{_mandir}/man1/jpeg2yuv.1*
%{_mandir}/man1/lav*.1*
%{_mandir}/man1/mjpegtools.1*
%{_mandir}/man1/mp2enc.1*
%{_mandir}/man1/mpeg2enc.1*
%{_mandir}/man1/mplex.1*
%{_mandir}/man1/pgmtoy4m.1*
%{_mandir}/man1/png2yuv.1*
%{_mandir}/man1/pnmtoy4m.1*
%{_mandir}/man1/ppmtoy4m.1*
%{_mandir}/man1/y4m*.1*
%{_mandir}/man1/yuv*.1*
%{_infodir}/mjpeg-howto.info*

%files libs
%defattr(644,root,root,755)
%doc AUTHORS BUGS CHANGES HINTS PLANS README README.DV README.avilib TODO
%attr(755,root,root) %{_libdir}/liblavfile-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblavfile-2.0.so.0
%attr(755,root,root) %{_libdir}/liblavjpeg-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblavjpeg-2.0.so.0
%attr(755,root,root) %{_libdir}/liblavplay-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblavplay-2.0.so.0
%attr(755,root,root) %{_libdir}/libmjpegutils-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmjpegutils-2.0.so.0
%attr(755,root,root) %{_libdir}/libmpeg2encpp-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmpeg2encpp-2.0.so.0
%attr(755,root,root) %{_libdir}/libmplex2-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmplex2-2.0.so.0
%{_mandir}/man5/yuv4mpeg.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblavfile.so
%attr(755,root,root) %{_libdir}/liblavjpeg.so
%attr(755,root,root) %{_libdir}/liblavplay.so
%attr(755,root,root) %{_libdir}/libmjpegutils.so
%attr(755,root,root) %{_libdir}/libmpeg2encpp.so
%attr(755,root,root) %{_libdir}/libmplex2.so
%{_libdir}/liblavfile.la
%{_libdir}/liblavjpeg.la
%{_libdir}/liblavplay.la
%{_libdir}/libmjpegutils.la
%{_libdir}/libmpeg2encpp.la
%{_libdir}/libmplex2.la
%{_includedir}/mjpegtools
%{_pkgconfigdir}/mjpegtools.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblavfile.a
%{_libdir}/liblavjpeg.a
%{_libdir}/liblavplay.a
%{_libdir}/libmjpegutils.a
%{_libdir}/libmpeg2encpp.a
%{_libdir}/libmplex2.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mjpegtools.spec,v $
Revision 1.54  2012/02/12 22:52:09  adamg
- release 2 (fix broken include in mplex/stream_params.h)

Revision 1.53  2012/02/10 19:25:31  arekm
- up to 2.0.0

Revision 1.52  2012/02/07 22:04:40  arekm
- release 8

Revision 1.51  2011/12/20 19:38:49  arekm
- release 7

Revision 1.50  2010/12/18 11:14:46  qboosh
- more docs
- updated deps, dropped obsolete MPEG Z/Alpha comment
- added opt patch to disable unwanted -mcpu=/-march=/-mtune= (already handled by rpmc*flags)

Revision 1.49  2010/12/17 19:49:18  qboosh
- more verbose files

Revision 1.48  2010/03/03 15:22:40  hawk
- builds fine w/o libmovtar

Revision 1.47  2010/01/28 18:59:25  arekm
- release 5

Revision 1.46  2009/07/11 21:39:36  arekm
- rel 4; build fixed

Revision 1.45  2009/07/11 19:55:56  arekm
- release 3

Revision 1.44  2009/05/07 12:13:43  megabajt
- release 2

Revision 1.43  2009/03/22 15:31:09  patrys
- 1.9.0
- patches no longer needed

Revision 1.42  2008/11/09 19:17:51  arekm
- rel 4; fix build with new gcc

Revision 1.41  2008/11/09 17:29:18  arekm
- release 3

Revision 1.40  2008/01/24 01:36:33  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.39  2007-12-24 11:21:56  sls
- add make-jN.patch

Revision 1.38  2007-08-11 08:51:33  arekm
- rel 2

Revision 1.37  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.35  2007/01/04 16:12:33  arekm
- rel 1

Revision 1.34  2006/12/25 12:25:32  qboosh
- updated link patch to reduce liblavfile linking, release 0.3

Revision 1.33  2006/12/25 11:41:29  qboosh
- libXxf86dga actually not used
- noted deps for individual libraries

Revision 1.32  2006/03/20 01:30:37  pluto
- cleanup dead option.

Revision 1.31  2006/03/20 01:21:57  pluto
- modular xorg deps, gcc4 fix.

Revision 1.30  2006/01/19 21:42:34  maciek2w
- removed unneeded #include "config.h" from some headers
- added mpeg2syntaxcodes.h to devel package
- STBR

Revision 1.29  2005/10/11 08:35:56  qboosh
- updated link patch, removed obsolete moreshared,acam,gcc34 patches
- updated BRs (gtk+2 instead of gtk+, libquicktime instead of quicktime4linux)

Revision 1.28  2005/10/09 13:46:25  glen
- add todo

Revision 1.27  2005/10/09 13:45:45  glen
- fixed %files, builds ok

Revision 1.26  2005/10/09 13:34:24  glen
- 1.8.0, NFY (fetch source)

Revision 1.25  2004/07/02 19:49:34  grzegol
- added gcc34 patch (fix buildig with gcc-3.4)

Revision 1.24  2004/05/04 18:12:47  havner
- rel up for libdv.so.2

Revision 1.23  2004/04/04 10:47:16  grzegol
- strict internal deps

Revision 1.22  2004/02/06 17:21:00  grzegol
- updated to 1.6.2

Revision 1.21  2004/01/17 23:34:10  qboosh
- updated to 1.6.1.93
- updated moreshared patch, added link patch, removed obsolete ppc patch

Revision 1.20  2003/12/13 19:19:18  qboosh
- there is libmovtar on ppc now; release 2

Revision 1.19  2003/12/05 17:06:44  qboosh
- updated to 1.6.1.92, updated moreshared patch

Revision 1.18  2003/09/08 06:34:36  adgor
- Removed BR: nas-devel

Revision 1.17  2003/09/04 22:14:04  qboosh
- 1.6.1.90
- updated moreshared patch, removed obsolete assert patch
- replaced acam patch (obsolete with libtool 1.5) with new for crazy version

Revision 1.16  2003/06/14 09:03:26  trojan
- added assert patch (for gcc 3.3)

Revision 1.15  2003/06/07 20:41:23  aflinta
- added BR nas-devel

Revision 1.14  2003/06/07 20:21:21  aflinta
- and again

Revision 1.13  2003/06/07 20:06:11  aflinta
- still fighting :)

Revision 1.12  2003/06/07 19:55:48  aflinta
- added patch which corrects movtar issues

Revision 1.11  2003/06/07 19:47:08  aflinta
- try to build it on PPC

Revision 1.10  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.9  2003/05/25 05:50:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/05/03 17:27:48  kloczek
- typos.

Revision 1.7  2003/05/03 17:26:18  kloczek
- added libmjpegtools0{,-devel} to Obsoletes for allow upgrade from MDK.

Revision 1.6  2003/04/08 12:54:44  qboosh
- use http for sources from sourceforge

Revision 1.5  2003/02/28 09:35:45  wiget
- missing %defattr
- rel 2

Revision 1.4  2003/01/04 20:38:48  qboosh
- 1.6.1, updated moreshared patch

Revision 1.3  2002/12/21 20:19:48  qboosh
- added moreshared patch to build shared libmjpegutils
  (bleh, asm change inside - gcc still doesn't allow using %ebx in PIC)
- added acam patch for current automake
- disabled cmov on <i686 (to generate working i[345]86 packages on i686 builder)
- added BRs
- separated libs package (they have less Requires than programs)

Revision 1.2  2002/11/14 21:39:17  qboosh
- cleanups, pl description

Revision 1.1  2002/11/07 22:29:05  aflinta
- initial PLD release
